pkgname=plasma6-applets-optimus-gpu-switcher
pkgver=1.0.2
pkgrel=1
pkgdesc="KDE Plasma widget to change the GPU mode using the EnvyControl command line tool."
url="https://github.com/enielrodriguez/optimus-gpu-switcher"
arch=('any')
groups=('lunaos')
license=('GPL3')
depends=('envycontrol' 'zenity' 'libnotify' 'plasma5support')
_commit=a298529e25f776720004abba7d2239bfe23f37f3
source=("git+https://github.com/enielrodriguez/optimus-gpu-switcher#commit=$_commit")
sha256sums=("SKIP")
conflicts=("plasma5-applets-optimus-gpu-switcher")
replaces=("plasma5-applets-optimus-gpu-switcher")
provides=("plasma5-applets-optimus-gpu-switcher")

package() {
  mkdir -p "$pkgdir/usr/share/plasma/plasmoids/optimus-gpu-switcher/"
  cp -rf "$srcdir/optimus-gpu-switcher/contents" "$pkgdir/usr/share/plasma/plasmoids/optimus-gpu-switcher/"
  cp -rf "$srcdir/optimus-gpu-switcher/metadata.json" "$pkgdir/usr/share/plasma/plasmoids/optimus-gpu-switcher/"
}
